<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_151) on Mon Jul 16 20:56:13 CLT 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MetodoDePagoController</title>
<meta name="date" content="2018-07-16">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MetodoDePagoController";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MetodoDePagoController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../controllers/LibroController.html" title="class in controllers"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?controllers/MetodoDePagoController.html" target="_top">Frames</a></li>
<li><a href="MetodoDePagoController.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">controllers</div>
<h2 title="Class MetodoDePagoController" class="title">Class MetodoDePagoController</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>controllers.MetodoDePagoController</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">MetodoDePagoController</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../models/MetodoDePago.html" title="class in models">MetodoDePago</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../controllers/MetodoDePagoController.html#metodo_de_pago">metodo_de_pago</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../controllers/MetodoDePagoController.html#MetodoDePagoController--">MetodoDePagoController</a></span>()</code>
<div class="block">Constructor que setea el metodo_de_pago como una nueva instancia de la clase MetodoDePago</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../controllers/MetodoDePagoController.html#eliminar--">eliminar</a></span>()</code>
<div class="block">Metodo para destruir el metodo_de_pago actual</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.Object[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../controllers/MetodoDePagoController.html#get_fields--">get_fields</a></span>()</code>
<div class="block">Obtiene los campos del objeto de la instancia MetodoDePago y los entrega en un objeto anonimo</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../controllers/MetodoDePagoController.html#get-java.lang.Integer-">get</a></span>(java.lang.Integer&nbsp;id)</code>
<div class="block">Por medio del parametro id, usando el metodo publico y estatico find de la clase MetodoDePago se busca ese metodo_de_pago en la BD</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;java.lang.Object[]&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../controllers/MetodoDePagoController.html#index--">index</a></span>()</code>
<div class="block">Metodo que recorre todos los metodo_de_pagos y los va almacenando en un objecto anonimo para poder entregarselas a la vista</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../controllers/MetodoDePagoController.html#new_record--">new_record</a></span>()</code>
<div class="block">Metodo para consultar si el metodo_de_pago dentro del controlador es una nueva o existente</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../controllers/MetodoDePagoController.html#newone-java.lang.String-">newone</a></span>(java.lang.String&nbsp;metodo_de_pago)</code>
<div class="block">Metodo que setea el nombre del metodo_de_pago en la instancia de la misma clase</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.Integer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../controllers/MetodoDePagoController.html#save--">save</a></span>()</code>
<div class="block">Metodo para gatillar el guardar de la clase MetodoDePago, retornara el ID con el que se guardo en la BD
 ya sea para actualizar o para la creación</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="metodo_de_pago">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>metodo_de_pago</h4>
<pre>private&nbsp;<a href="../models/MetodoDePago.html" title="class in models">MetodoDePago</a> metodo_de_pago</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MetodoDePagoController--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MetodoDePagoController</h4>
<pre>public&nbsp;MetodoDePagoController()</pre>
<div class="block">Constructor que setea el metodo_de_pago como una nueva instancia de la clase MetodoDePago</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="newone-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>newone</h4>
<pre>public&nbsp;void&nbsp;newone(java.lang.String&nbsp;metodo_de_pago)</pre>
<div class="block">Metodo que setea el nombre del metodo_de_pago en la instancia de la misma clase</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>metodo_de_pago</code> - nombre del metodo_de_pago</dd>
</dl>
</li>
</ul>
<a name="index--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>index</h4>
<pre>public static&nbsp;java.util.ArrayList&lt;java.lang.Object[]&gt;&nbsp;index()</pre>
<div class="block">Metodo que recorre todos los metodo_de_pagos y los va almacenando en un objecto anonimo para poder entregarselas a la vista</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ArrayList con objectos de metodo_de_pagos que contienen el id y el metodo_de_pago</dd>
</dl>
</li>
</ul>
<a name="get-java.lang.Integer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get</h4>
<pre>public&nbsp;boolean&nbsp;get(java.lang.Integer&nbsp;id)</pre>
<div class="block">Por medio del parametro id, usando el metodo publico y estatico find de la clase MetodoDePago se busca ese metodo_de_pago en la BD</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - unico del metodo_de_pago dentro de la base de datos</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean true si obtuvo correctamente el registro y false si no encontro el registro en la base de datos</dd>
</dl>
</li>
</ul>
<a name="save--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;java.lang.Integer&nbsp;save()</pre>
<div class="block">Metodo para gatillar el guardar de la clase MetodoDePago, retornara el ID con el que se guardo en la BD
 ya sea para actualizar o para la creación</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Integer id de la entrada luego de guardar</dd>
</dl>
</li>
</ul>
<a name="new_record--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>new_record</h4>
<pre>public&nbsp;boolean&nbsp;new_record()</pre>
<div class="block">Metodo para consultar si el metodo_de_pago dentro del controlador es una nueva o existente</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean true si es nuevo registro o false si no lo es</dd>
</dl>
</li>
</ul>
<a name="get_fields--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get_fields</h4>
<pre>public&nbsp;java.lang.Object[]&nbsp;get_fields()</pre>
<div class="block">Obtiene los campos del objeto de la instancia MetodoDePago y los entrega en un objeto anonimo</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Object anonimo con dos campos el id y el metodo_de_pago</dd>
</dl>
</li>
</ul>
<a name="eliminar--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>eliminar</h4>
<pre>public&nbsp;void&nbsp;eliminar()</pre>
<div class="block">Metodo para destruir el metodo_de_pago actual</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MetodoDePagoController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../controllers/LibroController.html" title="class in controllers"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?controllers/MetodoDePagoController.html" target="_top">Frames</a></li>
<li><a href="MetodoDePagoController.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
